module.exports = function (opts, help, usage) {
  if (opts.version) {
    var pkg = require('../package.json')
    console.error(pkg.version)
    process.exit(1)
  }
  var msg = `
Usage: nodus-data-grid <cmd> [<dir>] [options]

Sharing Files:
   nodus-data-grid share                   create dat, import files, share to network
   nodus-data-grid create                  create empty archive and dat.json
   nodus-data-grid sync                    import files to existing archive & sync with network

Downloading Files:
   nodus-data-grid clone <link> [<dir>]    download a archive via link to <dir>
   nodus-data-grid pull                    update archive & exit
   nodus-data-grid sync                    live sync files with the network

Info:
   nodus-data-grid log                     log history for a dat
   nodus-data-grid status                  get key & info about a local dat

Registries:
   nodus-data-grid <cmd> [<registry>]      All commands take <registry> option
   nodus-data-grid register                register new account
   nodus-data-grid login                   login to your account
   nodus-data-grid publish                 publish a dat
   nodus-data-grid whoami                  print active login information
   nodus-data-grid logout                  logout from active login

Stateless/Shortcut Commands:
   nodus-data-grid <link> [<dir>]          clone or sync link to <dir>
   nodus-data-grid <dir>                   create and sync archive in directory

Troubleshooting & Help:
   nodus-data-grid doctor                  run the archive network doctor
   nodus-data-grid help                    print this usage guide
   nodus-data-grid <command> --help, -h    print help for a specific command
   nodus-data-grid --version, -v           print the archive version
  `

  msg = `
Usage: nodus-data-grid <cmd> [<dir>] [options]

Commands:
   nodus-data-grid <link> [<dir>]          clone or sync link to <dir>
   nodus-data-grid <dir>                   create and sync archive in directory

Sharing Files:
   nodus-data-grid share                   create dat, import files, share to network
   nodus-data-grid sync                    import files to existing archive & sync with network

Downloading Files:
   nodus-data-grid clone <link> [<dir>]    download a archive via link to <dir>

Info:
   nodus-data-grid log                     log history for a dat
   nodus-data-grid status                  get key & info about a local dat

Troubleshooting & Help:
   nodus-data-grid help                    print this usage guide
   nodus-data-grid <command> --help, -h    print help for a specific command
   nodus-data-grid --version, -v           print the archive version
  `

  console.error(msg)
  if (usage) {
    console.error('General Options:')
    console.error(usage)
  }

  console.error('Have fun using The NODUS Platform! Learn more at https://www.nodusplatform.com')
  process.exit(1)
}
